package org.jeecg.modules.demo.externalinternalsite.service;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import org.jeecg.modules.demo.externalinternalsite.entity.ExternalInternalSite;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * @Description: 扫描链接表
 * @Author: jeecg-boot
 * @Date:   2023-04-03
 * @Version: V1.0
 */
public interface IExternalInternalSiteService extends IService<ExternalInternalSite> {

    IPage<ExternalInternalSite> pageSource(Page<ExternalInternalSite> page);

    Integer countSource(String mainUrl);

    IPage<ExternalInternalSite> pageGroupByWai(Page<ExternalInternalSite> page, ExternalInternalSite externalInternalSite);

    IPage<ExternalInternalSite> pageSourceMainUrl(Page<ExternalInternalSite> page, String mainUrl);

    Integer countSourceLinkOuter(String mainUrl);

    Integer countSourceLinkError(String mainUrl);

    IPage<ExternalInternalSite> pageSourceErrorMainUrl(Page<ExternalInternalSite> page, String mainUrl);

    List<ExternalInternalSite> listPage(Integer i, Integer pageSize);

    IPage<ExternalInternalSite> pageSourceMainUrlLinkOuter(Page<ExternalInternalSite> page, String mainUrl);

    List<ExternalInternalSite> listPageLinkOuter(Integer i, Integer pageSize);

    List<ExternalInternalSite> listPageLinkChainError(Integer i, Integer pageSize);


    Integer countSourceNoAnchor(String mainSiteUrl, String anchorLink);

    IPage<ExternalInternalSite> pageSourceMainUrlNoAnchor(Page<ExternalInternalSite> page, String mainSiteUrl, String anchorLink);
}
